GET
/payments/requests/{id}/automatic-pix/schedulesList Automatic PIX scheduled payments
Lists all Automatic PIX payments from a payment request
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Responses
200Recovers all automatic PIX payments from a payment request.
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of automatic PIX payments
itemsobject
Automatic PIX payment
Example response
json
{
"page": 0,
"total": 0,
"totalPages": 0,
"results": [
{
"id": "string",
"status": "SCHEDULED",
"amount": 0,
"description": "string",
"date": "2024-01-01",
"endToEndId": "string",
"errorDetail": {
"code": "SALDO_INSUFICIENTE",
"detail": "string"
},
"clientPaymentId": "string",
"recipientId": "550e8400-e29b-41d4-a716-446655440000",
"isFirstPayment": true,
"attempts": [
{
"id": "string",
"status": "IN_PROGRESS",
"endToEndId": "string",
"date": "2024-01-01",
"errorDetail": {
"code": "SALDO_INSUFICIENTE",
"detail": "string"
}
}
]
}
]
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/payments/requests/{id}/automatic-pix/schedules' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Path Parameters
